###  | # Boost.Build ## intel-linux toolset

## Introduction

Boost.Build's intel-linux toolset supports the Intel C++ Compiler for Linux.

## Configuration Variables

The intel-linux toolset responds to the following variables which can be set in the environment or configured on the jam command-line using `-sVARIABLE_NAME=`value:

Variable Name | Semantics | Default | Notes
--- | --- | --- | ---
`INTEL_LINUX_VERSION` | The version of the compiler to use. | `"50"` | This is used to locate the setup script for the compiler. The script used is `/opt/intel/compiler$(INTEL_LINUX_VERSION)/ia32/bin/iccvars.sh`. This variable is only used if and only if the setup script has not been previously loaded. This is to allow for installations where the setup is already done. In which case the script is not executed before the invocation of the tools.

Revised 14 May, 2002

© Copyright Dave Abrahams 2002. All Rights Reserved.